#!QTCLSH
#
# Copyright (C) 1997-2001 Herrin Software Development, Inc.
# All rights reserved.
#
# This file is part of Qtime

if {$argc == 0} {
    puts "Usage: $argv0 <RelationName>"
    exit 1
} elseif {[string compare [string index [lindex $argv 0] 0] "-"] == 0} {
    puts "Usage: $argv0 RelationName"
    exit 1
} else {
    set qtimename [lindex $argv 0]
}
if {[catch "exec qnewdb $qtimename"] != 0} {
    puts "Qtime database \"$qtimename\" creation failed!"
    exit 1
}
file copy -force LIBRARY_DIR/Schema $qtimename/Schema
file copy -force LIBRARY_DIR/ExcludeWords $qtimename/ExcludeWords
file copy -force LIBRARY_DIR/QddbScript $qtimename/QddbScript
set fd [open ${qtimename}/.qtime_nextclient w]
puts $fd "1"
close $fd
set fd [open ${qtimename}/.qtime_nextjobnum w]
puts $fd "1"
close $fd
puts "Qtime database \"$qtimename\" successfully created."
exit 0

